<!DOCTYPE html>
<!-------------------------------------
--LISTADO--
CREADORS: Quim Delgado i Arnau Amat
GRUP: ASIXc 1B
FITXER: listado.html
-------------------------------------->
<html>
<head>
	<meta charset="utf-8" />
	<link rel="stylesheet" href="listado.css" />
	<title>DELICIAS KITCHEN</title>
	<script type="text/javascript">
		function loadXML() {
			var xmlhttp = new XMLHttpRequest();
			xmlhttp.onreadystatechange = function() {
				if (this.readyState == 4 && this.status == 200) {
					transformXML(this);
				}
			};
			xmlhttp.open("GET", "listado.xml", true);
			xmlhttp.send();
		}

		function transformXML(xml) {
			var xsl = new XMLHttpRequest();
			xsl.onreadystatechange = function() {
				if (this.readyState == 4 && this.status == 200) {
					displayResult(xml, this);
				}
			};
			xsl.open("GET", "listado.xslt", true);
			xsl.send();
		}

		function displayResult(xml, xsl) {
			var xsltProcessor = new XSLTProcessor();
			xsltProcessor.importStylesheet(xsl.responseXML);
			var resultDocument = xsltProcessor.transformToDocument(xml.responseXML);
			document.getElementById("result").innerHTML = new XMLSerializer().serializeToString(resultDocument);
		}
	</script>
</head>
<body onload="loadXML()">
	<header class="logo">
		<img src="../imagenes/Logo-Delicias.png" alt="Logo-Delicias">
	</header>
	<nav>
		<ul>
			<li class="menu">
				<a href="../index.html">INICIO</a>
			</li>
			<li class="menu">
				<a href="../index.html">SOBRE MÍ</a>
			</li>
			<li class="menu">
				<a href="listado.html">RECETAS</a>
			</li>
			<li class="menu">
				<a href="../Formulario/formulario.html">CONTACTO</a>
			</li>
			<li class="menu">
				<a href="../index.html">OTRAS COSAS</a>
			</li>
		</ul>
	</nav>
	<main class="listado">
		<section class="border">
			<div id="result"></div>

		</section>
	</main>
	<footer>
		<li class="menu">
			<a href="../index.html">prev</a>
		</li>
		<li class="menu">
			<a href="../index.html">1</a>
		</li>
		<li class="menu">
			<a href="../index.html">2</a>
		</li>
		<li class="menu">
			<a href="../index.html">3</a>
		</li>
		<li class="menu">
			<a href="../index.html">4</a>
		</li>
		<li class="menu">
			<a href="../index.html">5</a>
		</li>
		<li class="menu">
			<a href="../index.html">6</a>
		</li>
		<li class="menu">
			<a href="../index.html">7</a>
		</li>
		<li class="menu">
			<a href="../index.html">8</a>
		</li>
		<li class="menu">
			<a href="../index.html">9</a>
		</li>
		<li class="menu">
			<a href="../index.html">10</a>
		</li>
		<li class="menu">
			<a href="../index.html">next</a>
		</li>
	</footer>
</body>
</html>